# Copyright 2017 The Forseti Security Authors. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""Errors related to the audit module."""

class Error(Exception):
    """Base error class for the module."""

class InvalidRuleDefinitionError(Error):
    """Error for problems with the rule file."""
    pass

class InvalidRulesSchemaError(Error):
    """Error for invalid rule schema."""
    pass
